XmRemoveWMProtocols(3Xm)

NAME
XmRemoveWMProtocols — a VendorShell convenience interface that removes the protocols from the protocol manager and deallocates the internal tables.

SYNOPSIS
#include <Xm/Xm.h>
#include <X11/Protocols.h>

void XmRemoveWMProtocols (shell, protocols, num_protocols)
    Widget    shell;
    Atom    * protocols;
    Cardinal    num_protocols;

DESCRIPTION
XmRemoveWMProtocols is a convenience interface. It calls XmRemoveProtocols with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated.

protocols
    Specifies the protocol atoms (or ints cast to Atom).

num_protocols
    Specifies the number of elements in protocols.

For a complete definition of VendorShell and its associated resources, see VendorShell(3Xm).

RELATED INFORMATION
VendorShell(3Xm), XmInternAtom(3Xm), and XmRemoveProtocols(3Xm).